package controllers;

import java.net.URL;
import java.util.Date;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.scene.layout.Pane;
import parsers.AtgParser;

public class V5TabController extends AtgController {

	@FXML Pane V5ButtonPane;
	@FXML Pane V5ResultPane;
	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		super.initialize(arg0, arg1);
		todaysRaces = DatabaseController.getInstance().getTodaysRaces("V5", MainController.DATE_FORMAT.format(new Date()), true);
		updateRacesTable();
	}

	@FXML
	public void GetTodaysRacesAction() {
		if (racesTable.getItems().size() <= 0) { // Hämta statistik från ATG för hästnamn och från travsport för data
			AtgParser.getInstance().getTodaysStartsFromATG("V5");
		}
		todaysRaces = DatabaseController.getInstance().getTodaysRaces("V5", MainController.DATE_FORMAT.format(new Date()), true);
		updateRacesTable();
	}
}
